> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Messages



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/webhooks/messages
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/messages:
    get:
      tags:
        - 'External: Webhooks'
      summary: List Messages
      operationId: list_messages_api_v1_webhooks_messages_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 250
            minimum: 1
            description: Items per page.
            default: 50
            title: Limit
          description: Items per page.
        - name: iterator
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor from the previous page's `iterator` field.
            title: Iterator
          description: Cursor from the previous page's `iterator` field.
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only messages created before this timestamp.
            title: Before
          description: Only messages created before this timestamp.
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Only messages created after this timestamp.
            title: After
          description: Only messages created after this timestamp.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_WebhookMessageResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedResponse_WebhookMessageResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookMessageResponse'
          type: array
          title: Data
        done:
          type: boolean
          title: Done
          description: True when this is the last page.
        iterator:
          anyOf:
            - type: string
            - type: 'null'
          title: Iterator
          description: Pass as `iterator` in the next request to fetch the following page.
        prevIterator:
          anyOf:
            - type: string
            - type: 'null'
          title: Previterator
      type: object
      required:
        - data
        - done
      title: PaginatedResponse[WebhookMessageResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookMessageResponse:
      properties:
        id:
          type: string
          title: Id
        eventType:
          type: string
          title: Eventtype
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
        timestamp:
          type: string
          title: Timestamp
        channels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Channels
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
      type: object
      required:
        - id
        - eventType
        - timestamp
      title: WebhookMessageResponse
      description: >-
        A single webhook message (outgoing event emitted to all subscribed
        endpoints).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````